#include <iostream>
#include<cmath>
using namespace std;
unsigned long long maks(unsigned long long a,unsigned long long b,unsigned long long c)
{
   unsigned long long rez;
   rez= max(max(a,b),max(b,c));
   return rez;
}

int main()
{
	unsigned long long br1=100000, br2=100000, br3=100000;
	unsigned long long pom1 = br1, pom2 = br2, pom3 = br3;
	long long c1=0, c2=0, c3=0;
	while (pom1 != 0)
	{
		pom1 = pom1 / 10;
		c1++;
	}
	while (pom2 != 0)
	{
		pom2 = pom2 / 10;
		c2++;
	}
	while (pom3 != 0)
	{
		pom3 = pom3 / 10;
		c3++;
	}
	unsigned long long r1, r2, r3;
	r1 =max(( br1 * pow(10, (c2 + c3)) + br2 * pow(10, c3) + br3),(br1*pow(10,c2+c3)+br3*pow(10,c2)+br2));
	r2=max((br2*pow(10,c1+c3)+br1*pow(10,c3)+br3),(br2*pow(10,c1+c3)+br3*pow(10,c1)+br1));
	r3=max((br3*pow(10,c1+c2)+br2*pow(10,c1)+br1),(br3*pow(10,c1+c2)+br1*pow(10,c2)+br2));
	unsigned long long rez=maks(r1,r2,r3);
	cout << rez;

}